Subject: bug#49118: closed (Re: bug#49118: 28.0.50; Error: File error Opening output file)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 21 Jun 2021 12:35:02 +0000

Your bug report

#49118: 28.0.50; Error: File error Opening output file

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49118: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49118
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49118: 28.0.50; Error: File error Opening output file
From: Andrea Corallo <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Manuel Uberti <[email-masked]>, [email-masked]
Date: Mon, 21 Jun 2021 12:34:52 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Manuel Uberti <[email-masked]>
>> Date: Mon, 21 Jun 2021 12:33:28 +0200
>> Cc: [email-masked]
>> 
>> On 21/06/21 12:21, Andrea Corallo wrote:
>> > Hi Eli,
>> > 
>> > agreed, hopefully a4fb5811fa does a better job at this, please have a
>> > look.
>> 
>> Hi Andrea,
>> 
>> I just wanted to let you know that I tried building with your commit and I don't 
>> see the above mentioned error any more.
>
> Thanks for testing.  The change LGTM.  Thanks, Andrea.

Nice, closing then.

Thanks all

  Andrea

Subject: 28.0.50; Error: File error Opening output file
From: Manuel Uberti <[email-masked]>
To: [email-masked]
Date: Sat, 19 Jun 2021 16:21:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

the following is a recipe to reproduce the problem:

- I built Emacs master (commit:
   b9f339e8f8f6194001ca2f00d9d172851ca482bd) using these build options: 
--with-harfbuzz --with-native-compilation
- emacs -Q
- M-x emacs-init-time

The *Warnings* buffer pops up with the following contents:

Warning (comp): /usr/local/share/emacs/28.0.50/lisp/time.el.gz: Error: File 
error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/cconv.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/cl-lib.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): seq.el.gz:397:16: Warning: ‘seq-contains’ is an obsolete generic 
function (as of 27.1); use ‘seq-contains-p’ instead. Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/seq.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/bytecomp.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/gv.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/byte-opt.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/cl-extra.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/help-mode.el.gz: Error: File 
error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/cl-seq.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/rx.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/cl-macs.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/warnings.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/subr-x.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/comp-cstr.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/comp.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/mail/rfc2045.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/mail/ietf-drums.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/gnus/mm-util.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/mail/mail-utils.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/mail/rfc2047.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/mail/sendmail.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/mail/mailheader.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/gnus/gmm-utils.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/mail/mailabbrev.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/mail/rfc2231.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/gnus/mm-encode.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/gnus/mm-bodies.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/gnus/mm-decode.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/calendar/time-date.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): 
/usr/local/share/emacs/28.0.50/lisp/emacs-lisp/text-property-search.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/map.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/gnus/gnus-util.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/password-cache.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/json.el.gz: Error: File 
error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/eieio.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/eieio-core.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/auth-source.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/mail/rmail.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/epg-config.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/derived.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/epa.el.gz: Error: File error 
Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/epg.el.gz: Error: File error 
Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/gnus/mml-sec.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/gnus/mml.el.gz: Error: File 
error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/mail/rfc822.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/net/puny.el.gz: Error: File 
error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/rmc.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/dired.el.gz: Error: File 
error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/mail/emacsbug.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/gnus/message.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/mail/mail-extr.el.gz: Error: 
File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/shadow.el.gz: 
Error: File error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/sort.el.gz: Error: File 
error Opening output file Disable showing Disable logging
Warning (comp): /usr/local/share/emacs/28.0.50/lisp/emacs-lisp/pp.el.gz: Error: 
File error Opening output file Disable showing Disable logging

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.18, cairo 
version 1.16.0)
  of 2021-06-19 built on hathaway
Repository revision: b9f339e8f8f6194001ca2f00d9d172851ca482bd
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12009000
System Description: Ubuntu 20.04 LTS

Configured using:
  'configure --with-harfbuzz --with-native-compilation'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF
TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
   value of $LC_MESSAGES: en_GB.UTF-8
   value of $LC_MONETARY: it_IT.UTF-8
   value of $LC_NUMERIC: it_IT.UTF-8
   value of $LC_TIME: it_IT.UTF-8
   value of $LANG: en_US.UTF-8
   value of $XMODIFIERS: @im=ibus
   locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
   tooltip-mode: t
   global-eldoc-mode: t
   eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs auth-source eieio eieio-core eieio-loaddefs
password-cache json map text-property-search time-date mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils time
comp comp-cstr warnings subr-x rx cl-seq cl-macs cl-extra help-mode seq
byte-opt gv cl-loaddefs cl-lib bytecomp byte-compile cconv iso-transl
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
easymenu timer select scroll-bar mouse jit-lock font-lock syntax
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo move-toolbar gtk x-toolkit x multi-tty make-network-process
native-compile emacs)

Memory information:
((conses 16 69687 9172)
  (symbols 48 7861 1)
  (strings 32 21496 4730)
  (string-bytes 1 729373)
  (vectors 16 17054)
  (vector-slots 8 221381 14504)
  (floats 8 32 115)
  (intervals 56 226 0)
  (buffers 992 13))

-- 
Manuel Uberti
www.manueluberti.eu